desMarkers {GeneticsBase} | R Documentation

## Descriptive statistics for markers

### Description

Descriptive statistics for markers.

### Usage

    desMarkers(geneSetObj,
               founderOnly=TRUE,
               thrsh=0.05,
               HWE.method=c("simulate","exact"),
               simulate.p.value=FALSE,
               B=10000,
               markerThrsh=100,
               maxDist=5,
               LDmeasure="r2",
               plot=TRUE,
               ...)

### Arguments

`geneSetObj` | a `geneSet` object.
`founderOnly` | indicates if using only founder info
`thrsh` | threshold for Hardy-Weinberg equilibrium test. If the pvalue of the HWE test for a marker is greater than `thrsh`, then the marker is a good marker.
`HWE.method` | method to do Hardy-Weinberg equilibrium test.
`simulate.p.value` | indicates if the pvalue of the HWE test is calculated by Monte Carlo simulation. `simulate.p.value=FALSE` means the pvalue is calculated from asymptotic chi-squared distribution of the test statistic. Otherwise, Monte Carlo simulation is used to calculate pvalue. For more details, please refers to the `R` function `chisq.test`.
`B` | the number of replicates used in Monte Carlo simulation to get the pvalue of HWE test. For more details, please refers to the `R` function `chisq.test`.
`markerThrsh` | if the number of markers is greater than this threshold, then 'LDdist' is called instead of 'LD'.
`maxDist` | the width of window used in 'LDdist' function.
`LDmeasure` | indicates if `r^2` or `D'` is to be plot.
`plot` | indicates if LD plot is output or not.
`...` | Other arguments that are used by HWE.chisq or HWE.exact.

### Value

a data frame contains components:

`Name` | marker names
`Position` | marker positions
`ObsHET` | marker's observed heterozygosity (i.e., proportion of heterozygotes at markes). Missing alleles are excluded in the calculation.
`PredHET` | marker's predicted heterozygosity (i.e., `2*MAF*(1-MAF)`). Missing alleles are excluded in the calculation.
`HWpval` | pvalues for Hardy-Weinberg test
`pGeno` | percentage of non-missing genotypes for markes
`MAF` | minor allele frequencies. missing allele are excluded from calculation
`Rating` | `Rating[i]=1` means that the $i$-th marker passes HW test (do not reject H0 that HW equilibrium holds). `Rating[i]=0` means HW equilibrum does hold for the $i$-th marker.

### Author(s)

Weiliang Qiu stwxq@channing.harvard.edu, Ross Lazarus ross.lazarus@channing.harvard.edu

### Examples

      #data(CAMP)
      #res<-desMarkers(CAMP)
      #print(res)

[Package GeneticsBase version 1.8.0 Index]